summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-01-27 07:46:02 +0100
committerHans de Graaff <graaff@gentoo.org>2017-01-27 07:46:02 +0100
commita924676f53af86e604330ecc5d66361c9d88194b (patch)
tree3cce9e9cf715a03bb4a19bb9b2edbbda7c7d9e2e
parentdev-ruby/metaclass: add ruby24 (diff)
downloadgentoo-a924676f53af86e604330ecc5d66361c9d88194b.tar.gz
gentoo-a924676f53af86e604330ecc5d66361c9d88194b.tar.bz2
gentoo-a924676f53af86e604330ecc5d66361c9d88194b.zip
dev-ruby/net-ssh-gateway: add 1.3.0
Package-Manager: portage-2.3.3
-rw-r--r--dev-ruby/net-ssh-gateway/Manifest1
-rw-r--r--dev-ruby/net-ssh-gateway/net-ssh-gateway-1.3.0.ebuild30
2 files changed, 31 insertions, 0 deletions
diff --git a/dev-ruby/net-ssh-gateway/Manifest b/dev-ruby/net-ssh-gateway/Manifest
index 2ee04155aa6..1202f92e815 100644
--- a/dev-ruby/net-ssh-gateway/Manifest
+++ b/dev-ruby/net-ssh-gateway/Manifest
@@ -1 +1,2 @@
DIST net-ssh-gateway-1.2.0.gem 23552 SHA256 3e5ab1f9d20e44c838ee890d1ae5c756b4b9cec492bc717340d90869399113db SHA512 d387e7ab709628c79cb0c01d0428a8e7e1beddfbdd14c58b7aaff6de11f4a8a8b2cb2026de95977de830855fbed610c276a52f18469da3b4f11b51885e251f60 WHIRLPOOL f961b541b1764410c94e241f403f4595a3e987cfd76b251e95c4fe12413a84b60fce5d48c9fa4c553e85b9f0535319a7a4d2106cc976185b652b5ad351c8b09b
+DIST net-ssh-gateway-1.3.0.tar.gz 7735 SHA256 d487452a09f2dcfcf56414d4813cb50a30da235ec3c6dc2f4da307aad80ad9dd SHA512 6cac1b28fba648aa333824c056cf8183fedc82f45f7f380eceac7aa5a4e8c3d3ec0870915aa058b0500514cdc364d75045050e2f8fa6f0ddaf799b88ba2e57a9 WHIRLPOOL 7f36bda702d8ed6aa435772248ac64a79778bc0ab25bc75c762b1def37a253972a2ce25fe09792d63fc85e930881ece6afaeecc8250b18793729cc335f9271f4
diff --git a/dev-ruby/net-ssh-gateway/net-ssh-gateway-1.3.0.ebuild b/dev-ruby/net-ssh-gateway/net-ssh-gateway-1.3.0.ebuild
new file mode 100644
index 00000000000..55e498b9fb2
--- /dev/null
+++ b/dev-ruby/net-ssh-gateway/net-ssh-gateway-1.3.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES.txt README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A simple library to assist in enabling tunneled Net::SSH connections"
+HOMEPAGE="https://github.com/net-ssh/net-ssh-gateway"
+SRC_URI="https://github.com/net-ssh/net-ssh-gateway/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="2"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "dev-ruby/minitest:5
+ dev-ruby/mocha:1.0"
+
+ruby_add_rdepend ">=dev-ruby/net-ssh-2.6.5:*"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/ s:^:#:' Rakefile test/net/ssh/gateway_test.rb || die
+}